Subject: hpff-core: Workshop on Language and models for Future Computing Systems, VCPC, Vienna, Austria

From: [email-masked]
Date: Thu, 16 Nov 1995 15:34:43 +0100 (MET)

---------------------------------------------------------------------------
[email-masked] is a mailing list for announcements related to High
Performance Fortran.  Instructions for adding or deleting yourself
from this list appear at the bottom of this message.
---------------------------------------------------------------------------

Announcement

Workshop on Languages and Models for Future Computing Systems
January 23, 1996, Vienna, Austria

The European Centre for Parallel Computing at Vienna (VCPC), the 
Institute for Software Technology and Parallel Systems at the 
University of Vienna,  and the EUROPA Working Group on Parallel C++ 
invite you to participate in a one-day workshop on high-level 
language features for parallel  programming on current and future 
computing systems.

Future high performance computing applications will run on a 
variety of parallel platforms and systems. On the one hand, 
high-speed networking technology has made the use of distributed 
heterogeneous systems a real option for many applications. On the 
other hand, tightly-coupled high performance computing systems 
are emerging which are hierarchical in nature, combining features 
of both shared and distributed memory computers.

This workshop discusses existing languages and models for 
programming high performance computing systems based upon Fortran 
and C++, including emerging and de facto standardization efforts.  
It aims to evaluate these approaches with regard to their ability 
to support a variety of programming styles on future architectures. 
We intend to identify open problems and contribute ideas to the 
development of a uniform programming model.

This workshop consists of a series of invited talks covering major 
current research and standardization efforts in languages for 
parallel computing. There will be an open discussion following 
them. The preliminary program includes the following: Introduction 
to architectures and programming languages for future computing 
systems, HPC++, The EUROPA programming model, Fortran-M, 
Opus: A Coordination Language, The Convex Programming Model. 
Speakers include Carl Kesselman, California Institute of 
Technology,  Ian Foster, Argonne National Laboratory, Dennis Gannon, 
Indiana University, Hans Zima, University of Vienna and a 
representative of the EUROPA Working Group.

Venue: Hotel Regina, Rooseveltplatz 15, Vienna

Fees

				        Before Jan 10	After Jan 10
MPI Open Meeting/Forum attendees,
Academic, ESPRIT/ACTS projects:   	1150 ATS        1450 ATS
Industry:                      		1850 ATS        2350 ATS
 
Fees include coffee and lunch. A social event will be organized.

NB: One US$ is ca. 10 ATS (Schillings) 

Registration 

To register, please use the attached registration form or the form 
on the World Wide Web (http://www.vcpc.univie.ac.at/news/mpi/). 
Mail or fax it to the VCPC at the following address:

	Workshops and Courses
	Attn. Helga Pfeifer
	VCPC
	Liechtensteinstr. 22		
	A - 1090 Vienna	           Phone +43-1-310-9396	
	AUSTRIA		           FAX   +43-1-310-560888  or  +43-1-310-939613	
  
Accommodation

If you need help with accommodation, please fill out the arrival 
and departure information on the registration form. We will attempt 
to place you in a hotel close to the location of the event. The cost 
of accommodation is not included in the registration fee. 

Information

For further information, please check the information on the WWW, 
send in the registration form, or email to: [email-masked]

Registration form

European Centre for Parallel Computing at Vienna (VCPC)

Workshop on Languages and Models for Future Computing Systems
January 23, 1996, Vienna, Austria

Name: _________________________________________________________________________

Affiliation: __________________________________________________________________

Address: ______________________________________________________________________

______________________________________ Telephone: _____________________________

Fax: _________________________________ E-mail: ________________________________

I wish to attend:
o the workshop on January 23

Please send me further information on:
o the tutorial on January 22	
o the training course on January 22/23
o the workshop on January 23
o the MPI meeting on January 24-26

o Please send me information on future workshops and tutorials  

o Please send me hotel information 
o Please book a room for me at the Hotel Regina or a nearby hotel.
    Type of room:  o Single             o Double 

    Arrival date: ____________________   Departure date: ______________________

Date: _____________________________   Signature: ______________________________

Fees

Payment should be enclosed if you register for the tutorial or the workshop. 
Please make cheques payable to VCPC. All payments must be in Austrian Schillings.  

	                              	Before Jan 10   	After Jan 10
MPI Open Meeting/Forum attendees,
Academic, ESPRIT/ACTS projects:  	1150 ATS         	1450 ATS
Industry:                          	1850 ATS         	2350 ATS  

I qualify for the	o Academic, project fee     o Industry fee 

Name of project: ______________________________________________________________

Method of payment:	o Enclosed Cheque 	o American Express
		o Eurocard/Mastercard 	o Visa	o Diners Club 

Total amount of payment: ______________________________________________________

Credit Card Number: ___________________________   Exp. date: __________________

Cardholder Name: ______________________________________________________________

Date: ______________________________   Signature: _____________________________

---------------------------------------------------------------------------
To (un)subscribe to this list, send mail to [email-masked].
Leave the subject line blank, and in the body put the line
(un)subscribe <email-address>
---------------------------------------------------------------------------